## visad.java3d
Class ShadowTextTypeJ3D

    java.lang.Object
      visad.ShadowType
          visad.java3d.ShadowTypeJ3D
              visad.java3d.ShadowScalarTypeJ3D
                  visad.java3d.ShadowTextTypeJ3D

All Implemented Interfaces:
  Serializable

public class ShadowTextTypeJ3D
extends ShadowScalarTypeJ3D

The ShadowTextTypeJ3D class shadows the TextType class, within a DataDisplayLink, under Java3D.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.java3d.ShadowTypeJ3D
`adaptedShadowType, display, inheritedText, inheritedTextControl, Link, projListener, Type`

Fields inherited from class visad.ShadowType
`LEGAL, METERS_PER_DEGREE, NESTED, NOTHING_MAPPED, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE`

Constructor Summary
`ShadowTextTypeJ3D(MathType t, DataDisplayLink link, ShadowType parent)`

Method Summary
`boolean` `doTransform(Object group, Data data, float[] value_array, float[] default_values, DataRenderer renderer)` transform data into a Java3D scene graph; return true if need post-process
`void` `postProcess(Object group)` render accumulated Vector of value_array-s to and add to group; then clear AccumulationVector
`void` `preProcess()` clear AccumulationVector

Methods inherited from class visad.java3d.ShadowScalarTypeJ3D
`getDisplaySpatialTuple, getDisplaySpatialTupleIndex, getIndex, getMappedDisplayScalar, getSelectedMapVector`

Methods inherited from class visad.java3d.ShadowTypeJ3D

`addLabelsToGroup, addTextToGroup, addToGroup, allowConstantColorSurfaces, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, checkIndices, ensureNotEmpty, ensureNotEmpty, getAdaptedParent, getAdaptedShadowType, getComponents, getData, getDisplay, getDisplayIndices, getLevelOfDifficulty, getMultipleDisplayScalar, getParentText, getParentTextControl, getType, getValueIndices, makeAppearance, makeContour, makeFlow, makePointGeometry, makeStreamline, makeText, mapValues, mapValues, mapValues, setText, staticMakeAppearance, terminalTupleOrScalar, toString`

Methods inherited from class visad.ShadowType

`addSwitch, addToGroup, addToSwitch, adjustFlowToEarth, adjustZ, allowCurvedTexture, allowLinearContour, byteToFloat, floatToByte, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponentWithRef, getCurvedTexture, getDefaultColorIndex, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLink, getMultipleSpatialDisplayScalar, getRefToComponent, getTextMaps, makeBranch, makePointGeometry, makeSpatialSet, makeSwitch, recurseComponent, recurseRange, setTex3DCoords, setTexCoords, setTexStackCoords, terminalTupleOrScalar, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureToGroup, textureWidth, wantIndexed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowTextTypeJ3D

    public ShadowTextTypeJ3D(MathType t,
                             DataDisplayLink link,
                             ShadowType parent)
                      throws VisADException,
                             RemoteException

Method Detail

### preProcess

    public void preProcess()
                    throws VisADException

  clear AccumulationVector

  Overrides:
    `preProcess` in class `ShadowTypeJ3D`
  Throws:
    `VisADException`

### doTransform

    public boolean doTransform(Object group,
                               Data data,
                               float[] value_array,
                               float[] default_values,
                               DataRenderer renderer)
                        throws VisADException,
                               RemoteException

  transform data into a Java3D scene graph; return true if need post-process

  Overrides:
    `doTransform` in class `ShadowTypeJ3D`
  Throws:
    `VisADException`
    `RemoteException`

### postProcess

    public void postProcess(Object group)
                     throws VisADException

  render accumulated Vector of value_array-s to and add to group; then clear AccumulationVector

  Overrides:
    `postProcess` in class `ShadowTypeJ3D`
  Throws:
    `VisADException`